Bug 1017435 - Anaconda uses LVM when Standard Partition is selected in text mode
Anaconda uses LVM when Standard Partition is selected in text mode
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F20BetaBlocker
  Show dependency treegraph
 
Reported: 2013-10-09 17:09 EDT by Paul Whalen
Modified: 2013-10-22 01:37 EDT (History)
11 users (show)

See Also:
Fixed In Version: anaconda-20.25.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-22 01:37:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Whalen 2013-10-09 17:09:09 EDT
Description of problem:
When using text mode for installation, selecting Standard Partition results in LVM.

Version-Release number of selected component (if applicable):
anaconda-20.22-1.fc20

How reproducible:
Everytime. 

Steps to Reproduce:
1. Begin text installation of F20 Beta TC2
2. Select Standard Partition
3. Install and reboot

Actual results:
LVM used for root and home. 

Expected results:
Standard partitions. 

Additional info:
Verified on both x86 and ARM installations.
Comment 1 Paul Whalen 2013-10-09 17:10:26 EDT
Proposed Blocker:
"When using the guided partitioning flow, the installer must be able to: Complete an installation using any combination of disk configuration options it allows the user to select"
Comment 2 Jóhann B. Guðmundsson 2013-10-15 09:39:45 EDT
+1 blocker
Comment 3 Paul Whalen 2013-10-15 11:01:01 EDT
Also occurs in F20 Beta TC4.
Comment 4 Adam Williamson 2013-10-16 12:13:36 EDT
Discussed at 2013-10-16 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-10-16/f20beta-blocker-review-4.2013-10-16-16.02.log.txt . Accepted as a blocker per criterion cited in comment #1 - https://fedoraproject.org/wiki/Fedora_20_Beta_Release_Criteria#Guided_partitioning .
Comment 5 Fedora Update System 2013-10-16 20:26:10 EDT
anaconda-20.25.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.25.1-1.fc20
Comment 6 Paul Whalen 2013-10-17 14:22:46 EDT
Confirmed fixed in anaconda-20.25.1-1.fc20, tested on ARM in TC5.
Comment 7 Kamil Páral 2013-10-21 02:38:31 EDT
Verified fixed in F20 Beta TC5 on x86_64.
Comment 8 Fedora Update System 2013-10-22 01:37:53 EDT
anaconda-20.25.1-1.fc20, python-blivet-0.23.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.